Bug 1781 - Problem with AGSchedule RSS feed
: Problem with AGSchedule RSS feed
Status: RESOLVED FIXED
: Virtual Venues Client Software
Client UI
: 3.1
: PC All
: P2 normal (vote)
: 3.2
Assigned To:
:
:
:
  Show dependency treegraph
 
Reported: 2008-03-20 12:54 by
Modified: 2009-08-13 08:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-20 12:54:03
The XML from the RSS feed displays fine in Firefox 2.  What am I doing wrong?
myk


03/20/08 13:48:19 9932 VenueClient     rssreader.py:96 DEBUG Retrieving rss:
htt
p://agschedule.ncsa.uiuc.edu/rss.asp?siteid=39&ts=2
Traceback (most recent call last):
  File "C:\Python24\lib\site-packages\AccessGrid3\AccessGrid\VenueClientUI.py",
line 1882, in AddScheduleCB
    self.reader.AddFeed(rssUrl)
  File "C:\Python24\lib\site-packages\AccessGrid3\AccessGrid\RssReader.py",
line
 175, in AddFeed
    self._ProcessUrl(url)
  File "C:\Python24\lib\site-packages\AccessGrid3\AccessGrid\RssReader.py",
line
 119, in _ProcessUrl
    docDate = strtimeToSecs(channelTime)
  File "C:\Python24\lib\site-packages\AccessGrid3\AccessGrid\RssReader.py",
line
 45, in strtimeToSecs
    raise Exception("Invalid string time input")
Exception: Invalid string time input


  <?xml version="1.0" encoding="iso-8859-1" ?> 
- <rss version="2.0">
- <channel>
  <pubDate>Thu, 20 Mar 2008 18:48:41 UT</pubDate> 
  <title>AGSchedule - NCSA</title> 
  <link>http://agschedule.ncsa.uiuc.edu/rss.asp</link> 
  <description>Scheduler for the Access Grid community provided by NCSA.
Meetings for NCSA are shown</description> 
  <managingEditor>agschedule@ncsa.uiuc.edu</managingEditor> 
  <ttl>60</ttl> 
  <language>en-us</language> 
- <item>
  <pubDate>3/20/2008 12:00PM</pubDate> 
  <title>TeraGrid Architecture Meeting</title> 
  <description>Thu, 20 Mar 2008 17:00:00 UT TeraGrid Architecture Meeting with
all TeraGrid RP sites. Dial In: 888-394-7702 Passcode: 78868 Room: NCSA3000
NodeOp: Paul Ponder Venue: Platinum</description> 
  <link>http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21906</link> 
  <enclosure
url="https://venues.ncsa.uiuc.edu:8000/Venues/00000106e6215006008d008e00060011cc0"
length="1" type="application/x-ag-venueclient" /> 
  <category domain="open_invite">-1</category> 
  <category domain="start_time">3/20/2008 12:00PM</category> 
  <guid
isPermaLink="true">http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21906</guid> 
  </item>
- <item>
  <pubDate>3/20/2008 12:00PM</pubDate> 
  <title>CENTC Monthly Meeting</title> 
  <description>Thu, 20 Mar 2008 17:00:00 UT Monthly CENTC Meeting Room:
NCSA2000 NodeOp: Michael Miller Venue: Hydrogen</description> 
  <link>http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=22415</link> 
  <enclosure
url="https://venues.ncsa.uiuc.edu:8000/Venues/000000fe4571fb3a008d008e0040000ba08"
length="1" type="application/x-ag-venueclient" /> 
  <category domain="open_invite">0</category> 
  <category domain="start_time">3/20/2008 12:00PM</category> 
  <guid
isPermaLink="true">http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=22415</guid> 
  </item>
- <item>
  <pubDate>3/20/2008 2:00PM</pubDate> 
  <title>LEAD Thursday AG meetings</title> 
  <description>Thu, 20 Mar 2008 19:00:00 UT This is one of 2 weekly LEAD
collaboration meetings. BACKUP TELECONS/CY 2007: 217-265-8030 local callers and
877-265-8433 toll free November 8, 15, 29 December 6, 13, 20 Room: NCSA3000
NodeOp: Paul Ponder Venue: LEAD</description> 
  <link>http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21508</link> 
  <enclosure
url="https://venues.ncsa.uiuc.edu:8000/Venues/000000fe45795f9a008d008e0040000b77e"
length="1" type="application/x-ag-venueclient" /> 
  <category domain="open_invite">0</category> 
  <category domain="start_time">3/20/2008 2:00PM</category> 
  <guid
isPermaLink="true">http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21508</guid> 
  </item>
- <item>
  <pubDate>3/21/2008 1:30PM</pubDate> 
  <title>PhD Distance Course</title> 
  <description>Fri, 21 Mar 2008 18:30:00 UT Contact: &quot;Johnson, Mark
F&quot; &lt;markj@uiuc.edu&gt; Please call in to 128.6.30.130. Send at 768.
Room: NCSA2000 NodeOp: Venue: None</description> 
  <link>http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21820</link> 
  <enclosure url="https://venues.ncsa.uiuc.edu:8000/Venues/default" length="1"
type="application/x-ag-venueclient" /> 
  <category domain="open_invite">0</category> 
  <category domain="start_time">3/21/2008 1:30PM</category> 
  <guid
isPermaLink="true">http://agschedule.ncsa.uiuc.edu/meetingdetails.asp?MID=21820</guid> 
  </item>
  </channel>
  </rss>
------- Comment #1 From 2008-04-08 14:57:49 -------
This problem was due to code that incorrectly parsed rfc822 dates.  This has
been fixed.

If you want the RSS feed to work with current AG releases, remove the leading
'day' specifier from your feed (e.g., Mon Tue Wed).